Subject: bug#7784: executable-find does not find scripts on woe32

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jan 2011 06:30:16 -0500

> From: Óscar Fuentes <[email-masked]>
> Date: Wed, 05 Jan 2011 02:18:04 +0100
> Cc: [email-masked]
> 
> As you know, there is no 'executable' attribute on Windows. Cygwin fakes
> it.

Actually, there is an execute permission bit on Windows, but only on
NTFS; Cygwin uses that to "fake" Posix-style x bit.  But Emacs (the
native Windows build of it) does not use these NTFS features, and
frankly, I'm not sure it's worth the hassle (and there _is_ a very
real hassle, because mapping Posix rwx bits into NTFS ACLs is a
non-trivial job).

But I digress.  The real question in this bug report is why did the
OP need a Python script to appear as executable to Emacs.